Package wx :: Class PopupTransientWindow

[frames | no frames]

## Type PopupTransientWindow

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
               PopupWindow --+
                             |
                            PopupTransientWindow

Known Subclasses:
  `TipWindow`

Proxy of C++ PopupTransientWindow class

Method Summary
Window | ``__init__`(self, parent, id, pos, size, style, name)` Construct and show a generic Window.
| `Dismiss(self)`
| `Popup(self, focus)`

Property Summary
| `thisown`: The membership flag

Instance Method Details

### __init__(self, parent, style=BORDER_NONE)
(Constructor)

Construct and show a generic Window.

  Parameters:
    `parent`
    (type=Window)

    `id`
    (type=int)

    `pos`
    (type=Point)

    `size`
    (type=Size)

    `style`
    (type=long)

    `name`
    (type=String)

  Returns:
    Window
  Overrides:
    `wx.PopupWindow.__init__` (inherited documentation)

Property Details

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Mon Feb 16 12:54:48 2009 | http://epydoc.sf.net